// User Agent Changer folder dialog
var useragentchangerFolderDialog =
{
	// Clears the user agent
	clearFolder: function()
	{
		window.opener.useragentchangerOptions.folder = null;
	},
	
	// Initializes the folder dialog box
	initialize: function()
	{
		var type = window.arguments[0];
	
		// If the type is new
		if(type == "new")
		{
			document.documentElement.getButton("accept").disabled = true;
			document.title                                        = useragentchangerStringBundle.getString("newFolder");
		}
		else if(type == "edit")
		{	
			document.getElementById("useragentchanger-name").value = window.arguments[1];
			document.title                                          = useragentchangerStringBundle.getString("editFolder");
		}
	},

	// Saves a folder
	saveFolder: function()
	{
		window.opener.useragentchangerOptions.folder = useragentchangerString.trim(document.getElementById("useragentchanger-name").value);
	},
	
	// Disable the OK button if the name is not set
	updateName: function()
	{
		document.documentElement.getButton("accept").disabled = (useragentchangerString.trim(document.getElementById("useragentchanger-name").value).length == 0);
	}
};